Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface EmType

All Known Subinterfaces:
  AType.Em, CodeType.Em, EmType.Em, PType.Em, SimpleRichTextType.Em, StrongType.Em

All Known Implementing Classes:
  ATypeImpl.EmImpl, CodeTypeImpl.EmImpl, EmTypeImpl, EmTypeImpl.EmImpl, PTypeImpl.EmImpl, SimpleRichTextTypeImpl.EmImpl, StrongTypeImpl.EmImpl

    public interface EmType

Java content class for emType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 387)

     <complexType name="emType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded" minOccurs="0">
             <element name="em" type="{http://infoml.org/infomlFile}emType"/>
             <element name="strong" type="{http://infoml.org/infomlFile}strongType"/>
             <element name="code" type="{http://infoml.org/infomlFile}codeType"/>
             <element name="a" type="{http://infoml.org/infomlFile}aType"/>
             <element name="pre" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static interface` | `EmType.A` Java content class for a element declaration.
`static interface` | `EmType.Code` Java content class for code element declaration.
`static interface` | `EmType.Em` Java content class for em element declaration.
`static interface` | `EmType.Pre` Java content class for pre element declaration.
`static interface` | `EmType.Strong` Java content class for strong element declaration.

Method Summary
`java.util.List` | `getContent()` Gets the value of the Content property.

Method Detail

### getContent

    java.util.List getContent()

  Gets the value of the Content property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Content property.

  For example, to add a new item, do as follows:

          getContent().add(newItem);

  Objects of the following type(s) are allowed in the list `EmType.A` `EmType.Pre` `EmType.Code` `EmType.Em` `String` `EmType.Strong`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD